Skip to main content

Update an mTAN credential

PATCH 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/mtans/:extId

Since: 2.74.0

Required permission(s): AccessControl.CredentialModify,AccessControl.CredentialView

Partially updates the mTAN credential identified by its external ID, belonging to the specified user.

Only the fields provided in the request body are updated. Omitted fields remain unchanged. The credential's state, mobile phone number, and modification comment can be updated.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the mTAN credential.

    Example: mtan-123

Body

required
    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled]

    The state of the credential.

    modificationComment string

    Textual comment regarding the last modification.

    version int32

    Version used for optimistic locking.

    mobileNumber string

    The mobile phone number in E.164 format to replace the current value.

Responses

mTAN credential updated successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the credential.

    userExtId string

    The external ID of the user to whom the credential belongs.

    policyExtId string

    The external ID of the used policy.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The state of the credential. Available values: initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived.

    stateChangeReason string

    Reason for the last state change of the password.

    stateChangeDetail string

    Reason detail for the last state change of the password.

    lastSuccessfulLoginDate string

    Timestamp of last successful login.

    successfulLoginCount int32

    Counts successful logins with this credential since last initialization or reset.

    lastFailedLoginDate string

    Date of last non-technical login failure, for example, wrong password.

    failedLoginCount int32

    Counts non-technical login failures since the last successful login, initialization or reset.

    modificationComment string

    Textual comment regarding the last modification.

    type string

    Possible values: [Password, Certificate, SecurID User Mapping, Ticket Authorization, Safeword User Mapping, OTP Card, Temporary Strong Password, Generic Credential, Kerberos, mTan, Vasco, PUK, URL Ticket, DevicePassword, MobileSignature, SAML Federation, Security Questions, Context Password, OATH, FIDO UAF Authenticator, Recovery Code, FIDO2 Authenticator]

    Type of credential.

    validity object

    Describes the validity period of the password.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    mobileNumber object

    The mobile phone number associated with this mTAN credential.

    raw string

    Raw mobile number as entered by the user.

    e164 string

    Mobile number in E.164 format.

Loading...